petsc-3.4.2 2013-07-02

# SNESGetPCSide

Gets the preconditioning side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetPCSide(SNES snes,PCSide *side)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning

### Keywords

SNES, get, right, left, side, preconditioner, flag

### See Also

SNESSetPCSide(), KSPGetPCSide()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages